package com.autentia.tutoriales.jsr179;

import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;

/**
 * MIDlet en donde se muestra la siguiente información:
 *      a) Estado actual del proveedor de localización (Disponible, fuera de servicio, etc).
 *      b) Distancia recorrida (en metros) desde que se inicio la aplicación.
 *      c) Nombre de la calle actual en la que nos encontramos.
 *      d) Longitud y latitud en la que nos encontramos.
 * @author Carlos García. Autentia
 */
public class LocationMidlet extends MIDlet {

    private Form main;

    public void startApp() {
        if (main == null){
            // ¿Está el API de localización disponible?
//            if (System.getProperty("microedition.location.version") != null) {
                main = new LocationMainForm(this);
//            } else {
//                main = new Form("Location API");
//                main.append("El API de localizacion no está disponible");
//            }
        }

        Display.getDisplay(this).setCurrent(main);
    }

    public void pauseApp() {
        // Nada que hacer
    }

    public void destroyApp(boolean unconditional) {
        this.notifyDestroyed();
    }
}